# $Id: smeserver-nagios-nrpe.spec,v 1.2 2013/10/27 16:15:33 unnilennium Exp $
# Authority: mweinber
# Name: Michael Weinberger

Summary: Nagios nrpe integration
%define name smeserver-nagios-nrpe
Name: %{name}
%define version 2.0.0
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7.3
Requires: nagios-nrpe >= 2.5.2
Requires: nagios-plugins-nrpe >= 2.5.2
Requires: nagios-plugins
Requires: nagios-plugins-setuid
Requires:  perl-Config-Tiny 
Requires:  perl-Class-Accessor
Requires: smeserver-nagios-backup
Requires: perl-Nagios-Plugin
Requires: smeserver-nagios-plugins-mysql

BuildRequires: e-smith-devtools

AutoReq: no

%changelog
* Sun Oct 27 2013 JP Pialasse <tests@pialasse.com> 2.0.0-2
- adding Requires to smooth install

* Mon Nov 17 2008 Michael Weinberger <mweinber@neddix.de> 2.0.0-1
  removed scripts from specfile

* Mon Dec 03 2007 Michael Weinberger <mweinber@neddix.de>
  Version 1.0.3
  modified templateexpand in events (/etc/sudoer perms bug)

* Thu Oct 15 2007 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
Nagios nrpe integration

Setting the TCP wrapper allowed hosts:
config setprop nrpe HostsAllow "127.0.0.1 10.203.104.0/255.255.252.0 172.22.32.0/255.255.240.0"
expand-template /etc/hosts.allow

To execute plugins as root:
config setprop nrpe sudoPlugins yes
expand-template /etc/sudoers
And set command_prefix=/usr/bin/sudo in /etc/nagios/nrpe.cfg


To check the connection run:
/usr/lib/nagios/plugins/check_nrpe -H NRPE_SERVER_IP
Expected Output is: "NRPE v2.5.1"


%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist  $RPM_BUILD_ROOT \
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
